commit:     9d2339861e5d7ff83c2f99c6205490cdf342855d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 17 11:00:27 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Jun 17 19:23:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d233986

www-servers/tornado: Fix testing speedups

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 www-servers/tornado/tornado-6.0.4.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/www-servers/tornado/tornado-6.0.4.ebuild 
b/www-servers/tornado/tornado-6.0.4.ebuild
index e0d9db3ce16..ee6d9ccf897 100644
--- a/www-servers/tornado/tornado-6.0.4.ebuild
+++ b/www-servers/tornado/tornado-6.0.4.ebuild
@@ -43,6 +43,7 @@ src_prepare() {
 
 python_test() {
        local -x ASYNC_TEST_TIMEOUT=60
+       cd "${BUILD_DIR}/lib" || die
        "${PYTHON}" -m tornado.test.runtests --verbose ||
                die "tests failed under ${EPYTHON}"
 }

Reply via email to